Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.zip
Class ZipInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--org.w3c.jigsaw.zip.ZipInputStream

public class ZipInputStream
extends java.io.InputStream

Constructor Summary
`protected` | `ZipInputStream(java.util.zip.ZipFile zip, java.io.InputStream in)`

Method Summary
`int` | `available()`
`void` | `close()`
`void` | `mark(int readlimit)`
`boolean` | `markSupported()`
`int` | `read()`
`int` | `read(byte[] b)`
`int` | `read(byte[] b, int off, int len)`
`void` | `reset()`
`long` | `skip(long n)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZipInputStream

    protected ZipInputStream(java.util.zip.ZipFile zip,
                             java.io.InputStream in)

Method Detail

### available

    public int available()
                  throws java.io.IOException

  Overrides:
    available in class java.io.InputStream

### close

    public void close()
               throws java.io.IOException

  Overrides:
    close in class java.io.InputStream

### mark

    public void mark(int readlimit)

  Overrides:
    mark in class java.io.InputStream

### reset

    public void reset()
               throws java.io.IOException

  Overrides:
    reset in class java.io.InputStream

### markSupported

    public boolean markSupported()

  Overrides:
    markSupported in class java.io.InputStream

### read

    public int read()
             throws java.io.IOException

  Overrides:
    read in class java.io.InputStream

### read

    public int read(byte[] b)
             throws java.io.IOException

  Overrides:
    read in class java.io.InputStream

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Overrides:
    read in class java.io.InputStream

### skip

    public long skip(long n)
              throws java.io.IOException

  Overrides:
    skip in class java.io.InputStream

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD